in scala.xml.parsing
class FactoryAdapter

`abstract class` FactoryAdapter
  `extends` org.xml.sax.helpers.DefaultHandler
  `with` scala.ScalaObject

  SAX adapter class, for use with Java SAX parser. Keeps track of namespace bindings, without relying on namespace handling of the underlying SAX parser.

Direct Known Subclasses:
  NoBindingFactoryAdapter

Constructor Summary
| `def` this

Val Summary
| `val` attribStack : scala.collection.mutable.Stack[scala.xml.MetaData]
| `val` buffer : scala.compat.StringBuilder
| `val` hStack : scala.collection.mutable.Stack[scala.xml.Node]
| `val` normalizeWhitespace : scala.Boolean
| `val` tagStack : scala.collection.mutable.Stack[java.lang.String]

Var Summary
| `var` capture : scala.Boolean
| `var` curTag : java.lang.String
| `var` rootElem : scala.xml.Node
| `var` scopeStack : scala.collection.mutable.Stack[scala.xml.NamespaceBinding]

Def Summary
| `def` captureText : scala.Unit captures text, possibly normalizing whitespace
`override` | `def` characters (ch: scala.Array[scala.Char], offset: scala.Int, length: scala.Int) : scala.Unit Characters.
`abstract` | `def` createNode (pre: java.lang.String, elemName: java.lang.String, attribs: scala.xml.MetaData, scope: scala.xml.NamespaceBinding, chIter: scala.List[scala.xml.Node]) : scala.xml.Node creates an new non-text(tree) node.
`abstract` | `def` createText (text: java.lang.String) : scala.xml.Text creates a Text node.
`override` | `def` endElement (uri: java.lang.String, _localName: java.lang.String, qname: java.lang.String) : scala.Unit End element.
`override` | `def` error (ex: org.xml.sax.SAXParseException) : scala.Unit Error.
`override` | `def` fatalError (ex: org.xml.sax.SAXParseException) : scala.Unit Fatal error.
| `def` load (is: java.io.InputStream) : scala.xml.Node loads XML from given InputStream
| `def` load (reader: java.io.Reader) : scala.xml.Node loads XML from given Reader
| `def` load (sysID: java.lang.String) : scala.xml.Node loads XML from given sysID
| `def` loadFile (file: java.io.File) : scala.xml.Node loads XML from given file
| `def` loadFile (fileDesc: java.io.FileDescriptor) : scala.xml.Node loads XML from given file descriptor
| `def` loadFile (fileName: java.lang.String) : scala.xml.Node loads XML from given file
| `def` loadXML (source: org.xml.sax.InputSource) : scala.xml.Node load XML document
`abstract` | `def` nodeContainsText (localName: java.lang.String) : scala.Boolean Tests if an XML element contains text.
`protected` | `def` printError (errtype: java.lang.String, ex: org.xml.sax.SAXParseException) : scala.Unit Prints the error message
`override` | `def` startElement (uri: java.lang.String, _localName: java.lang.String, qname: java.lang.String, attributes: org.xml.sax.Attributes) : scala.Unit
`override` | `def` warning (ex: org.xml.sax.SAXParseException) : scala.Unit Warning.

Def inherited from org.xml.sax.helpers.DefaultHandler
characters , endDocument, endElement, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping, unparsedEntityDecl, warning

Constructor Detail

`def` this

Val Detail

`val` attribStack : scala.collection.mutable.Stack[scala.xml.MetaData]

`val` buffer : scala.compat.StringBuilder

`val` hStack : scala.collection.mutable.Stack[scala.xml.Node]

`val` normalizeWhitespace : scala.Boolean

`val` tagStack : scala.collection.mutable.Stack[java.lang.String]

Var Detail

`var` capture : scala.Boolean

`var` curTag : java.lang.String

`var` rootElem : scala.xml.Node

`var` scopeStack : scala.collection.mutable.Stack[scala.xml.NamespaceBinding]

Def Detail

`def` captureText : scala.Unit

  captures text, possibly normalizing whitespace

`override def` characters (ch: scala.Array[scala.Char], offset: scala.Int, length: scala.Int): scala.Unit

  Characters.

Parameters:
  `ch -`
Parameters:
  `offset -`
Parameters:
  `length -`

`abstract def` createNode (pre: java.lang.String, elemName: java.lang.String, attribs: scala.xml.MetaData, scope: scala.xml.NamespaceBinding, chIter: scala.List[scala.xml.Node]): scala.xml.Node

  creates an new non-text(tree) node.

Parameters:
  `elemName -`
Parameters:
  `attribs -`
Parameters:
  `chIter -`
Returns:
  a new XML element.

`abstract def` createText (text: java.lang.String): scala.xml.Text

  creates a Text node.

Parameters:
  `text -`
Returns:
  a new Text node.

`override def` endElement (uri: java.lang.String, _localName: java.lang.String, qname: java.lang.String): scala.Unit

  End element.

Parameters:
  `uri -`
Parameters:
  `localName -`
Parameters:
  `qname -`
Throws:
  `org.xml.sax.SAXException -` if ..

`override def` error (ex: org.xml.sax.SAXParseException): scala.Unit

  Error.

`override def` fatalError (ex: org.xml.sax.SAXParseException): scala.Unit

  Fatal error.

`def` load (is: java.io.InputStream): scala.xml.Node

  loads XML from given InputStream

`def` load (reader: java.io.Reader): scala.xml.Node

  loads XML from given Reader

`def` load (sysID: java.lang.String): scala.xml.Node

  loads XML from given sysID

`def` loadFile (file: java.io.File): scala.xml.Node

  loads XML from given file

`def` loadFile (fileDesc: java.io.FileDescriptor): scala.xml.Node

  loads XML from given file descriptor

`def` loadFile (fileName: java.lang.String): scala.xml.Node

  loads XML from given file

`def` loadXML (source: org.xml.sax.InputSource): scala.xml.Node

  load XML document

Parameters:
  `source -`
Returns:
  a new XML document object

`abstract def` nodeContainsText (localName: java.lang.String): scala.Boolean

  Tests if an XML element contains text.

Returns:
  true if element named `localName` contains text.

`protected def` printError (errtype: java.lang.String, ex: org.xml.sax.SAXParseException): scala.Unit

  Prints the error message

`override def` startElement (uri: java.lang.String, _localName: java.lang.String, qname: java.lang.String, attributes: org.xml.sax.Attributes): scala.Unit

`override def` warning (ex: org.xml.sax.SAXParseException): scala.Unit

  Warning.